#!/bin/bash
set -e
# clean up environment
rm -rf files
mkdir files
# generate key
wget -q --no-check-certificate https://raw.githubusercontent.com/mitchellh/vagrant/master/keys/vagrant.pub -O files/id_rsa.pub
wget -q --no-check-certificate https://raw.githubusercontent.com/mitchellh/vagrant/master/keys/vagrant -O files/id_rsa
# ssh without password
cat files/id_rsa.pub |awk '{print $1, $2, "Generated by vagrant"}' > files/authorized_keys2
cat files/id_rsa.pub |awk '{print $1, $2, "Generated by vagrant"}' > files/authorized_keys

# Changes to Dockerfile need to be validated by docker command.
# Vagrant output is not quite helpful.
# To validate the Dockerfile, run
# docker build  .

vagrant up --provider=docker --no-provision

HOSTS=`vagrant ssh-config 2>/dev/null |grep -w Host |awk '{print $2}'`
for h in $HOSTS
do
  addr=`vagrant ssh $h -c "ifconfig eth0" |grep -w inet|awk '{print $2}'`
  echo ${addr} ${h}".local" >> files/hosts
done

vagrant provision
